Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.modules.jndi
Class JNDIException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.solarmetric.util.error.BaseRuntimeException
                              |
                              +--com.solarmetric.modules.jndi.JNDIException

All Implemented Interfaces:
  com.solarmetric.util.error.ErrorContainer, Serializable

public class JNDIException
extends com.solarmetric.util.error.BaseRuntimeException

Error in the JNDI system.

See Also:
  Serialized Form

Constructor Summary
`JNDIException()`
`JNDIException(String message)`
`JNDIException(String message, Throwable t)`
`JNDIException(Throwable t)`

Methods inherited from class com.solarmetric.util.error.BaseRuntimeException
`getError, printStackTrace, printStackTrace, printStackTrace, setError, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JNDIException

    public JNDIException()

### JNDIException

    public JNDIException(String message)

### JNDIException

    public JNDIException(Throwable t)

### JNDIException

    public JNDIException(String message,
                         Throwable t)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.